<?php
namespace Teknisa\PLA\Services;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\DataSet;
class Alergenico {

    const ICONS = array(
        "SALSAO" => "celery.png",
        "CRUSTACEO" => "crustaceans.png",
        "OVO" => "egg.png",
        "PEIXE" => "fish.png",
        "GLUTEN" => "gluten.png",
        "TREMOCO" => "lupins.png",
        "LEITE" => "milk.png",
        "NOZ" => "nut.png",
        "MOSTARDA" => "mustard.png",
        "AMENDOIM" => "peanut.png",
        "SESAMO" => "sesame.png",
        "MARISCO" => "shellfish.png",
        "SOJA" => "soy.png",
        "SULFITO" => "sulfites.png"
    );

	public function allergenicIcons(DTO\Request $request, DTO\Response $response){
        $basePath = __DIR__."/../../../../reports/src/assets/img/";
        $icons = array();
        foreach(self::ICONS as $iconKey => $fileName){
            $filePath = $basePath . $fileName;
            $type = pathinfo($filePath, PATHINFO_EXTENSION);
            $data = file_get_contents($filePath);
            $b64 = 'data:image/'. $type . ';base64,' . base64_encode($data);
            $icons[$iconKey] = $b64;
        }
        $response->addDataSet(new DataSet("icons", $icons));
    }
}